Modify

#1124 closed defect (fixed)

OTRv4 segfaults on "/me foo" messages

Reported by: Jochen Sprickerhof <bitlbee@…> Owned by: wilmer
Priority: major Milestone:
Component: OTR Version: devel
Keywords: patch Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro:

Description

When receiving "/me" messages, otr.c advances the msg pointer, making g_free() segfault. The attached patch fixes this.

Attachments (1)

otr.patch (565 bytes) - added by Jochen Sprickerhof <bitlbee@…> at 2014-02-08T20:08:24Z.

Download all attachments as: .zip

Change History (5)

Changed at 2014-02-08T20:08:24Z by Jochen Sprickerhof <bitlbee@…>

Attachment: otr.patch added

comment:1 Changed at 2014-02-09T06:45:27Z by dx

Component: BitlBeeOTR
Keywords: patch added
Owner: set to pesco
Status: newassigned

comment:2 Changed at 2014-02-11T14:09:55Z by dx

Priority: normalmajor

comment:3 Changed at 2014-02-11T17:36:53Z by pesco

Owner: changed from pesco to wilmer

many thanks! patch applied with a minimal naming change.

http://code.khjk.org/bitlbee/

comment:4 Changed at 2014-02-17T13:37:24Z by dx

Resolution: fixed
Status: assignedclosed

Seems that wilmer already merged this one

Modify Ticket

Action
as closed The owner will remain wilmer.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.